%define anolis_release 2

%global pypi_name mysqlclient
%bcond_with mysqldb

Name:           python-%{pypi_name}
Version:        2.1.1
Release:        %{anolis_release}%{?dist}
Summary:        MySQL/mariaDB database connector for Python

License:        GPLv2
URL:            https://github.com/PyMySQL/mysqlclient
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  mariadb-connector-c-devel

%description
MySQLdb is an interface to the popular MySQL database server that provides
the Python database API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

Provides: python3-mysql = %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with mysqldb}
BuildRequires:  python3-pytest
%endif
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
MySQLdb is an interface to the popular MySQL database server that provides
the Python database API.

%package -n python3-%{pypi_name}-doc
Summary:        Documentation for %{name}
BuildRequires:  python3-sphinx

%description -n python3-%{pypi_name}-doc
Documentation for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build
PYTHONPATH=${PWD} sphinx-build-3 doc html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%if %{with mysqldb}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version} -v tests
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitearch}/MySQLdb/
%{python3_sitearch}/%{pypi_name}-%{version}-py*.egg-info/

%files -n python3-%{pypi_name}-doc
%doc html README.md HISTORY.rst

%changelog
* Fri Mar 15 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.1.1-2
- Rebuild with python3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 2.1.1-1
- Import package for anolis 23
